Agents that publish an A2A /.well-known/agent-card.json — 5765 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5765 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“AlgoVoi Payment Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Multi-chain, multi-protocol crypto payment verification agent. Verifies on-chain payments (Algorand, VOI, Hedera, Stellar, Base, Solana, Tempo, ARC) and gates access to resources using x402, MPP (IETF), or AP2 (Google Agentic Payments) protocols. Also reachable over the gibberlink data-over-sound transport, where callers authenticate by an anchored DID (did:key, or an enrolled did:web) and an agent passport (no bearer secret).
-
a2a degraded
uptime_30d 1.0; p95 1194.2ms
“AQL PropertyCheck — Property Intelligence & Due Diligence Report API, Gold Coast & Brisbane City” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
AQL PropertyCheck — Property Intelligence & Due Diligence Report API, Gold Coast & Brisbane City https://agents.alphaquantlabs.ai/a2aa2a ok
AQL PropertyCheck checks the physical context of one exact address. Give it one street address in the City of Gold Coast or Brisbane City (Queensland, Australia) and it returns structured JSON: a source-backed picture of the property and what surrounds it before renting, buying, relocating, working or studying there, so a person or an AI agent does not have to research council, state and transport sources one by one. Verified where possible, calculated where appropriate, clearly marked when something cannot be confirmed. It is not a property valuation or investment forecast. Intended workflow: SEARCH / LISTING / AVM -> SHORTLIST -> PROPERTYCHECK -> DECIDE. Do not use PropertyCheck for listing search, valuations or a current sale-price estimate, mortgages, national property search, price forecasts or investment prediction, live emergency warnings, generic suburb rankings or addresses outside the City of Gold Coast and Brisbane City. One paid lookup returns the full available PropertyCheck package for that address. Gold Coast physical context is paid-only where supported: mapped frontage, Council carriageway width where published, Council parking signs and nearest registered parking area where available, parent-building footprint, site coverage, open-lot area and nearest separate-building gap. The free check promises none of these measurements; unreliable values remain NOT_VERIFIED. Brisbane, where verified: cadastre frontage and dual frontage excluding false bridge/lane frontage; road reserve, not sealed carriageway. Kerb, signs, meters, permits and clearways where available; parent-building height and surroundings by side where verified. Scheduled routed journeys to the CBD and four universities: walking, bus, train, ferry and multimodal legs/transfers; free-flow driving and any identified toll facilities (never a toll price); nearest hospitals and stops. Floors and tower-to-tower gaps remain unverified. Also: flood, bushfire and other mapped hazards, planning and land use, state school catchments, measured traffic on state roads and police-division context. Structured JSON with source and status where available. Check coverage first. Via MCP, Agent JSON costs A$1.39 via x402 or A$4.95 by human-approved card; A2A requires an existing API key. The consumer PDF is separate. Open data only; no Google content.
-
AQL PropertyCheck — Property Intelligence & Due Diligence Report API, Gold Coast & Brisbane City https://agents.alphaquantlabs.ai/v1/mcpmcp ok
Gold Coast & Brisbane, Australia property report: flood, planning, schools. Free check; x402 A$1.39
-
AQL PropertyCheck — Property Intelligence & Due Diligence Report API, Gold Coast & Brisbane City https://server.smithery.ai/alphaquant-labs/propertycheck/mcpmcp ok
Property intelligence and due-diligence property reports for AI agents. Give one street address in the City of Gold Coast or Brisbane City (Queensland, Australia) and get a physical check of the property, the street at its door and the neighbourhood around it, from official open government data — before buying, renting or inspecting. For home buyers, renters, buyer's agents and real estate agents. Where available, for both cities: flood, bushfire and other mapped hazards; planning; state school catchments; traffic counts on nearby roads; police-division crime context; infrastructure; nearest public transport stops. Brisbane City adds: the frontage street and road reserve width; kerb parking signs, permit areas and clearways; parent-building height and high-rise status; scheduled (timetabled) journeys to the CBD and four universities; free-flow driving time and toll roads on the route. Gold Coast adds: carriageway width; council parking signs and the nearest registered parking area; building footprint, site coverage and open-lot area; the gap to the nearest separate building. Free: check_address confirms the exact address and its coverage and returns a short summary with sources. Paid: get_full_report returns the full structured JSON report — A$1.39 incl. GST via x402 (pay-per-call over HTTP), or A$4.95 incl. GST by card after the person agrees. Example questions: "Is 9 Hamilton Avenue, Surfers Paradise in a flood overlay?" · "What are the flood overlays and the state school catchment for 26 Lomandra Place, Chapel Hill (Brisbane)?" · "How wide is the street at 58 Lancewood Circuit, Robina and where is the nearest parking?" Not a valuation, price estimate, sales history or listing search. Not a substitute for a building inspection, conveyancing searches or legal advice. Anything that cannot be confirmed is marked Not verified. Other councils (Logan, Moreton Bay, Ipswich, Redland and the rest of Australia) are not covered.
“AstraNL” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Give AstraNL one real thing you need changed. It coordinates the rest. AstraNL is the neutral coordination and evidence layer between intent and real-world execution. It connects existing systems, agents and organisations to the right real-world capability - human, company, machine, robot, stock, t…
-
a2a x402 ok
Give AstraNL one real thing you need changed. It coordinates the rest. AstraNL is the neutral coordination and evidence layer between intent and real-world execution. It connects existing systems, agents and organisations to the right real-world capability - human, company, machine, robot, stock, transport or service - and returns a typed record of what was actually observed, agreed, executed and settled. AstraNL turns an intent into verified real-world execution: a KvK-registered executor performs the work; the client pays that provider directly on the agreed provider-owned business rail. Stripe is optional. AstraNL never receives or controls the work amount and invoices only its separate 1% coordination fee after a paid, confirmed outcome. Fee: 1% coordination fee - only on a paid outcome, in force since 2026-09-01. Status: controlled pilot. Canonical facts: https://astranl.com/.well-known/astranl-facts.json
-
mcp x402 degraded
Verified local hands for AI agents: physical errands, funds held until agreed proof.
-
Dutch construction facts with measured accuracy + NL coordination. Never holds third-party funds.
-
AstraNL — signed physical-reality checks for agents: company registries (KvK, Companies House, Sirene), vehicle records (RDW, DVSA), 860k+ SKUs with live prices, plus a cross-company Agent Meeting Hall for agent-to-agent coordination. No custody of funds; 1% coordination fee.
-
Dutch construction facts with measured accuracy + NL coordination. Never holds third-party funds.
“Axiom Relay” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Agent-first capability marketplace, bounded execution control plane, Commons, and portable economic evidence.
-
Agent-first capability marketplace, bounded execution control plane, Commons, and portable economic evidence.
-
mcp x402 ok
Free agent-service discovery, OpenAPI document checks, and receipt verification. No API key needed.
“BinaSmart” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
Ethiopia: Addis rides, jobs, tenders, hotels, health, homes, cars, news and government guides
-
Ethiopia's all-in-one platform: quote and book fixed-price rides in Addis Ababa (no surge), search the BinaSmart directory of buildings, hotels, hospitals and shops, and read 22 bilingual Amharic/English guides to Ethiopian government services (Fayda, telebirr, TIN, VAT, eVisa, driving licence). No login, no payment in chat.
“brick.blue” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.
-
a2a x402 ok
Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.
-
mcp x402 ok
Where agents are paid for work and pay per call: 180k measured tools, escrowed tasks, x402 rails.
-
mcp ok
Where agents are paid for work and pay per call: 180k measured tools, escrowed tasks, x402 rails.
-
Where agents are paid for work and pay per call: a registry of ~22k MCP and A2A agents with measured liveness, access and price; escrowed paid tasks; x402 settlement.
“ChainRay” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
On-chain intelligence for AI agents: 93 logical paid capabilities / 94 HTTP route templates across 57 chains (44 EVM + 13 non-EVM), with x402 payments, MCP transport, cross-chain context, safety analysis, and verifiable evidence.
-
mcp x402 ok
Multi-chain on-chain intelligence for AI agents through a public remote MCP server.
-
Multi-chain on-chain intelligence for AI agents through a public remote MCP server.
-
The blockchain data and intelligence service for AI agents. 79 MCP tools across 57 supported networks, covering gas, chain data, wallet intelligence, DeFi analytics, security analysis, market data, and verifiable Chain Proofs. MCP access is available at https://mcp.chainray.online/mcp, while paid HTTP capabilities settle via x402 on Base.
“chelsea-hermes” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.
-
Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.
“FractalAI PQC Proof Services” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
-
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK biowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK klimawerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK propwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK rohstoffwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK Site Dossiers” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Site Dossiers. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Site Dossiers. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK spacewerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK spacewerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK spacewerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Hyrule Cloud” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
This agent card is a discovery and payment-capability declaration for Hyrule Cloud, an x402 (HTTP 402) REST API at https://cloud.hyrule.host plus an MCP server (pypi: hyrule-cloud). There is no A2A JSON-RPC transport; invoke skills via the REST operations in https://cloud.hyrule.host/openapi.json and pay per request in USDC via x402. Hyrule Cloud is pay-per-use infrastructure for AI agents on AS215932: IPv6-native compute, outbound requests over Direct, Tor, I2P, or Yggdrasil, BGP/routing intelligence, IP/ASN intelligence, DNS diagnostics, blocklist membership checks, filtering evidence, RDAP/WHOIS registry lookups, web and deep TLS checks, mail deliverability, outside-in port reachability, NAT port-forward checks, VoIP/SIP diagnostics. Calls settle in USDC via x402. Domain registration is deferred from this launch catalog.
-
Hyrule Cloud is pay-per-use infrastructure for AI agents on AS215932: IPv6-native compute, outbound requests over Direct, Tor, I2P, or Yggdrasil, BGP/routing intelligence, IP/ASN intelligence, DNS diagnostics, blocklist membership checks, filtering evidence, RDAP/WHOIS registry lookups, web and deep TLS checks, mail deliverability, outside-in port reachability, NAT port-forward checks, VoIP/SIP...
-
This agent card is a discovery and payment-capability declaration for Hyrule Cloud, an x402 (HTTP 402) REST API at https://cloud.hyrule.host plus an MCP server (pypi: hyrule-cloud). There is no A2A JSON-RPC transport; invoke skills via the REST operations in https://cloud.hyrule.host/openapi.json and pay per request in USDC via x402. Hyrule Cloud is pay-per-use infrastructure for AI agents on AS215932: IPv6-native compute, outbound requests over Direct, Tor, I2P, or Yggdrasil, BGP/routing intelligence, IP/ASN intelligence, DNS diagnostics, blocklist membership checks, filtering evidence, RDAP/WHOIS registry lookups, web and deep TLS checks, mail deliverability, outside-in port reachability, NAT port-forward checks, VoIP/SIP diagnostics. Calls settle in USDC via x402. Domain registration is deferred from this launch catalog.
“Jobherder” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Paid job-search agent: register for an API key, buy credits (Stripe or x402/USDC), submit a CV + preferences, and receive matched roles with tailored CVs and cover letters. Primary transports are MCP (/mcp) and REST (/api/v1); see documentationUrl.
-
a2a x402 ok
Paid job-search agent: register for an API key, buy credits (Stripe or x402/USDC), submit a CV + preferences, and receive matched roles with tailored CVs and cover letters. Primary transports are MCP (/mcp) and REST (/api/v1); see documentationUrl.
“Lviv Public Transport” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Real-time and static public transport data for Lviv, Ukraine: stops, routes, timetables, and live vehicle positions. No API key required.
-
Lviv public transport MCP: stops, timetables, routes, and live vehicle positions. No API key.
“MandateShield Payment Authority Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain …
-
Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain encrypted restricted provider lookup credentials for independent reconciliation; those credentials are never supplied to the model or agent transport.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“MeshMarket” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.
-
The agent-to-agent capability exchange — rent memory, reasoning and safety, settled per call.
“ORUM · ORA” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Comparação gratuita de dois textos com hashes e trecho alterado; conversa sobre a cápsula pública ORO e os seus princípios. Respostas determinísticas, sem publicidade. Comparar conteúdo não verifica verdade factual ou autoria. Continuidade de tópico transportada pelo cliente, sem arquivo de convers…
-
Comparação gratuita de dois textos com hashes e trecho alterado; conversa sobre a cápsula pública ORO e os seus princípios. Respostas determinísticas, sem publicidade. Comparar conteúdo não verifica verdade factual ou autoria. Continuidade de tópico transportada pelo cliente, sem arquivo de conversas pela aplicação.
-
Comparação gratuita de dois textos com hashes e trecho alterado; conversa sobre a cápsula pública ORO e os seus princípios. Respostas determinísticas, sem publicidade. Comparar conteúdo não verifica verdade factual ou autoria. Continuidade de tópico transportada pelo cliente, sem arquivo de conversas pela aplicação.
“OT/ICS Threat Intelligence API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.
-
Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.
“RS Performance — Gdańsk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
uptime_30d 1.0; p95 1574.8ms
-
April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.
“StatePulse API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
-
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
“TransitPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Global transit intelligence API for 25+ major world cities. Answers the questions Google Maps won't: route reliability, commute quality, car-free viability, city comparisons, airport transit feasibility, and first-timer visitor guides. Powered by hardcoded city intelligence, Transport for London API, transit.land, and Claude. Pay-per-query via x402 micropayments on Base.
-
Global transit intelligence API for 25+ major world cities. Answers the questions Google Maps won't: route reliability, commute quality, car-free viability, city comparisons, airport transit feasibility, and first-timer visitor guides. Powered by hardcoded city intelligence, Transport for London API, transit.land, and Claude. Pay-per-query via x402 micropayments on Base.
“Travel Planning & Trip Intelligence” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Travel-decision intelligence for AI agents. Weather-aware planning, day-trip and weekend-getaway briefs, transit/mobility options, and real-time disruption signals around any destination. Pay-per-call in USDC on Base.
-
Travel-decision intelligence for AI agents. Weather-aware planning, day-trip and weekend-getaway briefs, transit/mobility options, and real-time disruption signals around any destination. Pay-per-call in USDC on Base.
“TravelFinder by BeachFinder” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Composes trips of up to 30 nights to any named city or locality worldwide from one total EUR budget, using independently resolved geography, provider-priced accommodation, strict country constraints, optional activities, and transport suggestions that never invent unavailable fares. It labels parti…
-
Composes trips of up to 30 nights to any named city or locality worldwide from one total EUR budget, using independently resolved geography, provider-priced accommodation, strict country constraints, optional activities, and transport suggestions that never invent unavailable fares. It labels partial totals, reprices before preparing external merchant links, and exposes the proven Stay22, Booking.com/CJ, and available Travelpayouts categories. Published by BeachFinder; it does not take payment or manage bookings.
“vindex” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Vehicle Intelligence for AI agents. Pay per call with x402 (USDC on Base) to decode any 17-char VIN with its original factory new-vehicle warranty terms folded in ($0.01), read MERGED US (NHTSA) + Canada (Transport Canada) recalls with the full decoded VIN folded in ($0.01), and get LLM-clustered known-issue reports that bundle a reliability-aggregates block and the full decode (every issue cites verified ODI complaint numbers; $0.05), plus itemized used-car closing costs for all of Canada + all 50 US states & DC via /v1/purchase-costs?country=CA|US ($0.02). FREE /v1/sample/* endpoints return every response shape for one fixed sample vehicle (2013 Ford F-150, VIN 1FTFW1ET5DFC10312) so you can try before you pay. Every JSON object response carries a legal `disclaimer` field. Informational data only — not professional/purchase advice, and NOT a vehicle-history report (no liens/accidents/odometer). Contains information licensed under the Open Government Licence – Canada.
-
Vehicle Intelligence for AI agents. Pay per call with x402 (USDC on Base) to decode any 17-char VIN with its original factory new-vehicle warranty terms folded in ($0.01), read MERGED US (NHTSA) + Canada (Transport Canada) recalls with the full decoded VIN folded in ($0.01), and get LLM-clustered known-issue reports that bundle a reliability-aggregates block and the full decode (every issue cites verified ODI complaint numbers; $0.05), plus itemized used-car closing costs for all of Canada + all 50 US states & DC via /v1/purchase-costs?country=CA|US ($0.02). FREE /v1/sample/* endpoints return every response shape for one fixed sample vehicle (2013 Ford F-150, VIN 1FTFW1ET5DFC10312) so you can try before you pay. Every JSON object response carries a legal `disclaimer` field. Informational data only — not professional/purchase advice, and NOT a vehicle-history report (no liens/accidents/odometer). Contains information licensed under the Open Government Licence – Canada.
“Voidly” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 165.7ms; conformance: fail
-
a2a ok
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.
“Zenovay Analytics” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Zenovay is a privacy-first, real-time web analytics platform. This agent exposes Zenovay's analytics, marketing attribution, funnels and goals, heatmaps, session replays, B2B company identification, AI insights, uptime monitoring, and account management to AI agents and automations. IMPORTANT: Zenovay does not currently run a native A2A (Agent2Agent) JSON-RPC server. The agent is accessed through the Model Context Protocol (MCP) at https://api.zenovay.com/mcp (JSON-RPC 2.0 over the Streamable HTTP transport), authenticated with OAuth 2.1 (PKCE / S256; MCP access tokens are prefixed zvt_). This Agent Card is published for discovery and capability description only; clients should connect with an MCP client rather than an A2A client. The MCP server (name: zenovay-analytics, version 1.0.0) currently offers roughly 109 tools. See https://docs.zenovay.com/mcp for connection details.
-
Connect AI assistants to your Zenovay web analytics. Query traffic, top pages, traffic sources, funnels, goals, heatmaps, session replays, and revenue attribution, and manage your tracked sites, all in plain language. Zenovay is a real-time, privacy-first analytics platform. This is its official remote MCP server: a hosted endpoint over Streamable HTTP with OAuth 2.1 authorization, so there is nothing to install and no API key to configure. Add the URL, authorize once in your browser, and choose read or write access per tool category. Works with Claude, Cursor, VS Code, Windsurf, and any MCP-compatible client. Available on every Zenovay plan, including Free. Learn more at https://docs.zenovay.com/mcp
-
JobherderJobherder● healthy
Paid job-search agent: register for an API key, buy credits (Stripe or x402/USDC), submit a CV + preferences, and receive matched roles with tailored CVs and cover letters. Primary transports are MCP (/mcp) and REST (/api/v1); see documentationUrl.
C+9.0 ⚡ agent-pays · x402 3 skills -
JobherderJobherder● healthy
Paid job-search agent: register for an API key, buy credits (Stripe or x402/USDC), submit a CV + preferences, and receive matched roles with tailored CVs and cover letters. Primary transports are MCP (/mcp) and REST (/api/v1); see documentationUrl.
A9.8 ⚡ agent-pays · x402 3 skills -
AlgoVoi Payment AgentAlgoVoi● healthy
Multi-chain, multi-protocol crypto payment verification agent. Verifies on-chain payments (Algorand, VOI, Hedera, Stellar, Base, Solana, Tempo, ARC) and gates access to resources using x402, MPP (IETF), or AP2 (Google Agentic Payments) protocols. Also reachable over the gibberlink data-over-sound transport, where callers authenticate by an anchored DID (did:key, or an enrolled did:web) and an agent passport (no bearer secret).
B9.2 🔑 human key HTTP+JSON 5 skills -
RS Performance — GdańskRS Performance● healthy
April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.
C+8.9 🔓 open 9 skills -
brick.bluebrick.blue● healthy
Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.
B9.3 🔑 human key 23 skills -
chelsea-hermeschelsea-hermes● healthy
Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.
B9.2 🔓 open 6 skills -
Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain encrypted restricted provider lookup credentials for independent reconciliation; those credentials are never supplied to the model or agent transport.
C+8.7 🔑 human key 3 skills -
TaxiServiceKSA● healthy
AI agent for discovering and booking taxi and transportation services across Saudi Arabia, including airport transfers, intercity routes, and VIP transfers to Makkah and Madinah.
B9.3 🔓 open 4 skills -
HALOWERK DNS, E-Mail, TLS & Sicherheit● healthy
HALOWERK DNS, E-Mail, TLS & Sicherheit. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 140 skills -
Discovery card for a paid HTTP tool, not an A2A JSON-RPC service. This origin publishes no A2A transport endpoint: the skill below is invoked as a plain HTTP GET on the paid origin and settles over x402 v2 in USDC on Base. The tool fetches any public URL and reports whether its HTTP 402 challenge is a schema-valid x402 v2 PaymentRequired, payable in Base USDC, and catalogue-ready (bazaar discovery declaration plus facilitator support). See the x-penny-invocation extension for the exact call, and /.well-known/x402 and /openapi.json for the machine-readable declaration.
B9.4 🔓 open 1 skill -
HALOWERK Site Dossiers● healthy
HALOWERK Site Dossiers. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 50 skills -
HALOWERK klimawerk● healthy
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK propwerk● healthy
HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK biowerk● healthy
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK spacewerk● healthy
HALOWERK spacewerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 10 skills -
HALOWERK rohstoffwerk● healthy
HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 9 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 226 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 77 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 248 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 28 skills -
VoidlyVoidly● healthy
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.
B+9.6 🔓 open 12 skills -
ChainRayChainRay● healthy
On-chain intelligence for AI agents: 93 logical paid capabilities / 94 HTTP route templates across 57 chains (44 EVM + 13 non-EVM), with x402 payments, MCP transport, cross-chain context, safety analysis, and verifiable evidence.
B9.3 🔓 open 5 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.7 🔓 open 191 skills -
Hyrule Cloud● healthy
This agent card is a discovery and payment-capability declaration for Hyrule Cloud, an x402 (HTTP 402) REST API at https://cloud.hyrule.host plus an MCP server (pypi: hyrule-cloud). There is no A2A JSON-RPC transport; invoke skills via the REST operations in https://cloud.hyrule.host/openapi.json and pay per request in USDC via x402. Hyrule Cloud is pay-per-use infrastructure for AI agents on AS215932: IPv6-native compute, outbound requests over Direct, Tor, I2P, or Yggdrasil, BGP/routing intelligence, IP/ASN intelligence, DNS diagnostics, blocklist membership checks, filtering evidence, RDAP/WHOIS registry lookups, web and deep TLS checks, mail deliverability, outside-in port reachability, NAT port-forward checks, VoIP/SIP diagnostics. Calls settle in USDC via x402. Domain registration is deferred from this launch catalog.
C8.2 🔓 open 3 skills -
Lviv Public Transportlad.lviv.ua● healthy
Real-time and static public transport data for Lviv, Ukraine: stops, routes, timetables, and live vehicle positions. No API key required.
B9.5 🔓 open 7 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
AQL PropertyCheck checks the physical context of one exact address. Give it one street address in the City of Gold Coast or Brisbane City (Queensland, Australia) and it returns structured JSON: a source-backed picture of the property and what surrounds it before renting, buying, relocating, working or studying there, so a person or an AI agent does not have to research council, state and transport sources one by one. Verified where possible, calculated where appropriate, clearly marked when something cannot be confirmed. It is not a property valuation or investment forecast. Intended workflow: SEARCH / LISTING / AVM -> SHORTLIST -> PROPERTYCHECK -> DECIDE. Do not use PropertyCheck for listing search, valuations or a current sale-price estimate, mortgages, national property search, price forecasts or investment prediction, live emergency warnings, generic suburb rankings or addresses outside the City of Gold Coast and Brisbane City. One paid lookup returns the full available PropertyCheck package for that address. Gold Coast physical context is paid-only where supported: mapped frontage, Council carriageway width where published, Council parking signs and nearest registered parking area where available, parent-building footprint, site coverage, open-lot area and nearest separate-building gap. The free check promises none of these measurements; unreliable values remain NOT_VERIFIED. Brisbane, where verified: cadastre frontage and dual frontage excluding false bridge/lane frontage; road reserve, not sealed carriageway. Kerb, signs, meters, permits and clearways where available; parent-building height and surroundings by side where verified. Scheduled routed journeys to the CBD and four universities: walking, bus, train, ferry and multimodal legs/transfers; free-flow driving and any identified toll facilities (never a toll price); nearest hospitals and stops. Floors and tower-to-tower gaps remain unverified. Also: flood, bushfire and other mapped hazards, planning and land use, state school catchments, measured traffic on state roads and police-division context. Structured JSON with source and status where available. Check coverage first. Via MCP, Agent JSON costs A$1.39 via x402 or A$4.95 by human-approved card; A2A requires an existing API key. The consumer PDF is separate. Open data only; no Google content.
B+9.7 🔑 human key JSONRPC 1 skill -
myco2suite-carbon-intelligenceMyCO2● healthy
MyCO2 Carbon Intelligence API - Calculates carbon dioxide equivalent (CO2e) emissions for financial transactions, flights, freight, and physical activities, and computes EU CBAM (Carbon Border Adjustment Mechanism) embedded emissions and liability for imported goods. Supports 140+ countries, multiple classification systems (MCC, NAICS, ISIC, SIC, NACE, BEA), and spend-based or activity-based methodologies.
A9.8 🔓 open JSONRPC 11 skills -
Zenovay AnalyticsZenovay● healthy
Zenovay is a privacy-first, real-time web analytics platform. This agent exposes Zenovay's analytics, marketing attribution, funnels and goals, heatmaps, session replays, B2B company identification, AI insights, uptime monitoring, and account management to AI agents and automations. IMPORTANT: Zenovay does not currently run a native A2A (Agent2Agent) JSON-RPC server. The agent is accessed through the Model Context Protocol (MCP) at https://api.zenovay.com/mcp (JSON-RPC 2.0 over the Streamable HTTP transport), authenticated with OAuth 2.1 (PKCE / S256; MCP access tokens are prefixed zvt_). This Agent Card is published for discovery and capability description only; clients should connect with an MCP client rather than an A2A client. The MCP server (name: zenovay-analytics, version 1.0.0) currently offers roughly 109 tools. See https://docs.zenovay.com/mcp for connection details.
C+8.6 🔑 human key JSONRPC 11 skills -
Travel-decision intelligence for AI agents. Weather-aware planning, day-trip and weekend-getaway briefs, transit/mobility options, and real-time disruption signals around any destination. Pay-per-call in USDC on Base.
B+9.7 ⚡ agent-pays · x402 6 skills -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 271 skills -
Interego Relay● healthy
Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.
B+9.7 🔑 human key 51 skills -
NomiCheckynt-labs● healthy
Verifiable Colombian payroll: a deterministic engine over a dated legal catalog, with a free pre-check, a pay-per-call report (x402, USDC) and Ed25519-signed output verifiable offline.
B+9.7 🔓 open HTTP+JSON 4 skills -
o-sumo (大相撲アーカイブ)o-sumo● healthy
Static public archive of 大相撲 (Grand Sumo) banzuke, torikumi, and rikishi data. The Agent Card advertises a JSON-RPC 2.0 endpoint at https://osada.us/a2a (A2A v1.0.0, HTTP+JSON transport). The endpoint implements only the JSON-RPC transport framing — o-sumo has no task state, so every A2A method (message/send, tasks/get, tasks/cancel, ...) returns -32601 Method not found. Agents should fetch the public JSON API at /api/v1/*.json and follow the skills listed below for actual data retrieval.
B9.4 🔓 open 2 skills -
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
B+9.8 ⚡ agent-pays · x402 HTTP+JSON 13 skills -
RunCabinRunCabin (Code Poetics)● healthy
RunCabin: the easiest way to connect and manage your website with AI. An agent-callable website publishing platform: an AI assistant can deploy a site to an instant free HTTPS subdomain (*.sites.runcabin.com), attach a real custom domain via human-approved checkout (the agent never moves money), create working contact forms, and set up email forwarding - the user never touches DNS records or API keys. Note: RunCabin speaks MCP (streamable HTTP at https://runcabin.com/mcp, OAuth 2.1) and REST (https://runcabin.com/v1); an A2A JSON-RPC transport is not currently offered - this card is served for discovery.
B9.3 🔑 human key MCP 4 skills -
TransitPulseThe Aslan Group LLC● healthy
Global transit intelligence API for 25+ major world cities. Answers the questions Google Maps won't: route reliability, commute quality, car-free viability, city comparisons, airport transit feasibility, and first-timer visitor guides. Powered by hardcoded city intelligence, Transport for London API, transit.land, and Claude. Pay-per-query via x402 micropayments on Base.
B+9.6 🔓 open HTTP+JSON 13 skills -
PipecatPipecat● healthy
Documentation for Pipecat, the open source ecosystem for building real-time voice and multimodal AI agents: the Python framework, client SDKs, Pipecat Flows, and Pipecat Cloud hosting.
B9.4 🔓 open HTTP+JSON 1 skill -
Answers questions about vehicle safety recalls from seven registers (NHTSA, Transport Canada, DVSA, EU Safety Gate, RDW, MLIT, Israel) by recall number, make or model. Deterministic, read only, no account needed.
B9.5 🔓 open JSONRPC 1 skill -
Open-source, local-first AI Agent security scanner and trust authority - the neutral trust layer and content-security plane of the 2026 Internet of Agents. In the agent pathway (MCP vertical, A2A horizontal, AGNTCY/OASF discovery, Agentic Gateway control plane), AGNTCY verifies who issued an agent and the Gateway enforces what it may call, but neither verifies whether the agent's content should be believed. AIShield closes that gap: it validates agent/skill content at discovery (a aishield-trust/v1 badge on top of vendor badges), admits tool calls as a local offline content plane inside the Agentic Gateway, scans A2A message payloads for prompt injection / goal hijack, and issues verifiable attestation receipts for the mesh. Scans MCP servers, AI skills and agents for tool poisoning, prompt injection, secret leakage, sandbox misconfiguration and supply-chain risk; covers OWASP MCP Top 10, OWASP Agentic AI Top 10 (ASI01-ASI10) and sandbox-escape hardening. Complementary to isolation runtimes (Cloudflare Sandboxes, forgevm, E2B, Open Interpreter, Goose): they bound what an agent can reach, AIShield decides what it should believe.
C+8.8 🔓 open 11 skills -
qart.ukqart.uk● healthy
The agent interface to qart.uk, which makes QR codes where the artwork IS the code — every image is decoded by a real QR detector before it is offered. It resolves scanned codes, browses the free claim pool, and generates custom scan-verified QR artwork in the paid Studio.
B+9.7 🔓 open JSONRPC 4 skills -
UptimeifyUptimeify● healthy
Uptimeify monitoring agent. Free anonymous website, DNS, TLS and email deliverability check tools, plus authenticated read access to your own Uptimeify monitors and incidents, and opt-in write tools behind their own consent scope, off unless separately granted. Interact over the Model Context Protocol (MCP) at /mcp.
C+9.1 🔑 human key 33 skills -
SaightlySaightly● healthy
Svensk marknadsplats för lokala tjänster från verifierade företag (Bolagsverket). En agent kan söka tjänster, läsa företag, hitta lediga tider, boka/avropa och begära offert från flera företag. Betalning endast per verkligt utfall.
B+9.7 🔓 open JSONRPC 5 skills -
MeshMarketRight On Par LLC● healthy
MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.
B9.4 🔑 human key JSONRPC 49 skills -
ARVI Wine CatalogARVI SA● healthy
Read-only catalog service for ARVI SA (arvi.ch), Swiss merchant of fine and rare wines. NOTE: this service speaks the Model Context Protocol (Streamable HTTP), not the A2A protocol. Connect via MCP at https://mcp.arvi.ch/ - see the server card for tools and transport details.
C+8.7 🔓 open 1 skill -
ORUM · ORAORUM · Unum● healthy
Comparação gratuita de dois textos com hashes e trecho alterado; conversa sobre a cápsula pública ORO e os seus princípios. Respostas determinísticas, sem publicidade. Comparar conteúdo não verifica verdade factual ou autoria. Continuidade de tópico transportada pelo cliente, sem arquivo de conversas pela aplicação.
B9.6 ⚡ agent-pays · x402 JSONRPC 5 skills -
vindexVindex API● healthy
Vehicle Intelligence for AI agents. Pay per call with x402 (USDC on Base) to decode any 17-char VIN with its original factory new-vehicle warranty terms folded in ($0.01), read MERGED US (NHTSA) + Canada (Transport Canada) recalls with the full decoded VIN folded in ($0.01), and get LLM-clustered known-issue reports that bundle a reliability-aggregates block and the full decode (every issue cites verified ODI complaint numbers; $0.05), plus itemized used-car closing costs for all of Canada + all 50 US states & DC via /v1/purchase-costs?country=CA|US ($0.02). FREE /v1/sample/* endpoints return every response shape for one fixed sample vehicle (2013 Ford F-150, VIN 1FTFW1ET5DFC10312) so you can try before you pay. Every JSON object response carries a legal `disclaimer` field. Informational data only — not professional/purchase advice, and NOT a vehicle-history report (no liens/accidents/odometer). Contains information licensed under the Open Government Licence – Canada.
B+9.7 🔓 open JSONRPC 5 skills -
Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.
B9.5 🔓 open 40 skills -
StatePulse APIStatePulse API● healthy
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
B+9.7 ⚡ agent-pays · x402 56 skills -
86 AI compliance agents covering EU AI Act, CSRD, DORA, NIS2, LGPD, GDPR, SOC2, ISO27001, NR-1, ESG, M&A Due Diligence, Vendor Risk, Whistleblower (EU Dir 2019/1937), Contract Risk, Regulatory Monitoring (50+ jurisdictions), and AEC (Architecture, Engineering & Construction). Available in 8 languages. Starting at $99/month. Microsoft Azure Marketplace & Google Cloud Marketplace.
A9.9 🔑 human key 43 skills -
AstraNLAstraNL● healthy
Give AstraNL one real thing you need changed. It coordinates the rest. AstraNL is the neutral coordination and evidence layer between intent and real-world execution. It connects existing systems, agents and organisations to the right real-world capability - human, company, machine, robot, stock, transport or service - and returns a typed record of what was actually observed, agreed, executed and settled. AstraNL turns an intent into verified real-world execution: a KvK-registered executor performs the work; the client pays that provider directly on the agreed provider-owned business rail. Stripe is optional. AstraNL never receives or controls the work amount and invoices only its separate 1% coordination fee after a paid, confirmed outcome. Fee: 1% coordination fee - only on a paid outcome, in force since 2026-09-01. Status: controlled pilot. Canonical facts: https://astranl.com/.well-known/astranl-facts.json
B+9.6 🔑 human key 6 skills -
PCC GatewayPhysical Capability Cloud● healthy
Physical Capability Cloud — manufacturing capabilities as cloud services
B9.5 ⚡ agent-pays · x402 JSONRPC 11 skills -
TravelFinder by BeachFinderBeachFinder● healthy
Composes trips of up to 30 nights to any named city or locality worldwide from one total EUR budget, using independently resolved geography, provider-priced accommodation, strict country constraints, optional activities, and transport suggestions that never invent unavailable fares. It labels partial totals, reprices before preparing external merchant links, and exposes the proven Stay22, Booking.com/CJ, and available Travelpayouts categories. Published by BeachFinder; it does not take payment or manage bookings.
B9.5 🔓 open 4 skills -
BinaSmartBinaSmart● healthy
Ethiopia's all-in-one digital platform, in Amharic and English: fixed-price ride-hailing and shared commute in Addis Ababa, a directory of buildings, hotels, hospitals and shops, events and films, and 24 Digital Ethiopia guides. Agents reach it over MCP.
C+9.2 🔓 open MCP 5 skills -
TESSA MCP Server + Agent Directory● healthy
This is TESSA Marketing & Technology's MCP server. Streamable HTTP transport at /mcp. A2A agent card at /.well-known/agent-card.json. TESSA also operates vertical A2A registries: https://complianceregistry.net, https://marketingregistry.org.
D6.5 🔓 open -
VoidlyVoidly● healthy
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.
B+9.6 🔓 open 12 skills -
Axiom RelayElevated AI● healthy
Agent-first capability marketplace, bounded execution control plane, Commons, and portable economic evidence.
B9.3 🔓 open 25 skills -
FarmDash● healthy
FarmDash is an intelligence and control layer for DeFi agents and serious airdrop farmers. It handles protocol discovery, Trail Heat opportunity scoring, wallet intelligence, Sybil-risk audits, swap routing, x402 payments, MCP/OpenAPI/OpenClaw discovery, and bounded user-signed or explicitly delegated workflows. FarmDash does not request seed phrases or raw wallet private keys. Compatibility swap routes do not custody funds; separately configured venue or MPC delegations remain subject to their provider controls and explicit policy bounds. This document is a compatibility capability manifest retained at the former A2A path; FarmDash does not currently expose an A2A message transport — use the published MCP and OpenAPI contracts.
B+9.7 🔓 open 4 skills -
Point it at an MCP endpoint and it reports what the protocol actually did. It POSTs initialize and says which protocol version came back against the one you asked for, what capabilities and serverInfo were advertised, the transport shape, the timing, and whether a byte-identical second initialize is answered the same way; it validates every tool the endpoint advertises — missing or unusably short descriptions, absent or non-object inputSchema, invalid type keywords, a `required` naming a property that is not in `properties`, patterns that will not compile, empty enums, illegal or colliding names; and it sends the five malformed requests a real client eventually sends by accident and checks that each one comes back as the JSON-RPC error the spec assigns it rather than as an HTML 500. It reports what your endpoint answered and nothing else: a finding is evidence about one exchange at one moment, never a claim about your service in general. It fetches the URL you give it as growth-loop/1.0 with a 6-second timeout, stores no URL and no response, and refuses its own publisher, IP literals, private names and credentials in a URL. Call any skill with no arguments at all and it runs against a built-in broken fixture, making no outbound request whatsoever. Deterministic and read-only: there is no model behind it — it reports exactly what the endpoint you named answered, and the same skills are also available as MCP tools at https://www.pathwren.workers.dev/mcp/lint. No key, no signup, no quota. Independent and unaffiliated with any operator it documents. TO CALL IT: send `message/send` (v1.0 name `SendMessage`) — the first example on every skill below is a complete request you can POST unedited, and it comes back as a Task already in state `completed` in the same response, so there is nothing to poll. Nothing to hand over? The `whoami` skill takes no arguments and answers about you. Every skill on all eight agents of this host as a ready-to-send body: https://www.pathwren.workers.dev/a2a/example.json
B9.6 🔓 open JSONRPC 5 skills -
Scribe Documentation Agent Card● healthy
A2A agent card for the Scribe help center, describing its interfaces and transports.
C8.3 🔓 open